Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading Perl on HP-UX 11.0

John Love_3
Regular Advisor

Upgrading Perl on HP-UX 11.0

I have a D class server with HP-UX 11.0 and when I do a perl -v I get:
#perl -v

This is perl, version 4.0

$RCSfile: perl.c,v $$Revision: 4.0.1.8 $$Date: 1993/02/05 19:39:30 $
Patch level: 36

Copyright (c) 1989, 1990, 1991, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 4.0 source kit.

Now, I have a DEPOT file with Perl 5.6.0 and when I install it I still get Perl 4.0 with the perl -v command.

How do I get rid of the 4.0 and have the 5.6.0 version work? The install goes fine, no errors.

Help please. I need a web server that uses this newer version of perl (Apache is already installed on this server).

Thanks!

John
2 REPLIES
John Love_3
Regular Advisor

Re: Upgrading Perl on HP-UX 11.0

Sorry, wrong forum.
I'll re-post this in the General forum

John

Re: Upgrading Perl on HP-UX 11.0

Hi John!

HP-UX comes with a very old version of Perl (part of OS-Core). It is placed in /usr/contrib/bin. I renamed it and put my /opt/perl5 in PATH.

Regards,
Markus
Analyse - Simplify - Automate